reklama

Upgrade verze PHP (CGI/FPM)

Re:Upgrade verze PHP (CGI/FPM)
« Odpověď #15 kdy: 14. 08. 2019, 15:32:30 »
Pokud jde jen o ty mysql_* funkce, tak je ještě možnost je do aplikace zkusit zpětně doplnit. Je pro to několik projektů - např. https://github.com/mattbit/mysql-compat. Pokud není možné aplikaci řádně upravit, tak mi to příjde lepší, než provozovat takto starou verzi PHP.
Síťař a vývojář v Lyntu

reklama


Re:Upgrade verze PHP (CGI/FPM)
« Odpověď #16 kdy: 29. 08. 2019, 20:06:55 »
Dalsi moznosti je Ubuntu 14.04 LTS s Canonical advantage support (nestoji to tak moc ~1500/czk rok). Teoreticky Centos7 s PHP5.3 (lol).

Docker, nebo LXD je asi elegantnejsi reseni, pak uz jedine kompilovat a popr. vlastni balicky.

Klient by mel byt obeznamen, ze do dvou let vyprsi ten advantage support a automaticky tim vystavuje klientska data riziku, cili ma 2 roky na to, aby vysperkoval svou aplikaci do podporovane verze systemu i jazyka :)

Re:Upgrade verze PHP (CGI/FPM)
« Odpověď #17 kdy: 29. 08. 2019, 21:16:07 »
Jen bych poznamenal, že balíčky z mého repozitáře mají jednak všechny security aktualizace (viz d/changelog) a jednak také podporují OpenSSL 1.1.

Ty bezpečnostní aktualizace (tj. PHP 5.6 i PHP 7.0) budou k dispozici cca po dobu, co to @remirepo a @weltling budou v Microsoftu udržovat.

Někdy je lepší se zeptat rovnou autora než tady poslouchat Brouka Pytlíka...

Re:Upgrade verze PHP (CGI/FPM)
« Odpověď #18 kdy: 29. 08. 2019, 22:07:21 »
Jen bych poznamenal, že balíčky z mého repozitáře mají jednak všechny security aktualizace (viz d/changelog) a jednak také podporují OpenSSL 1.1.

Ty bezpečnostní aktualizace (tj. PHP 5.6 i PHP 7.0) budou k dispozici cca po dobu, co to @remirepo a @weltling budou v Microsoftu udržovat.

Ondreji, dekuju ti velmi za tve PHP repositare a cas, ktery do toho davas a urcite nejsem jediny.

Duvod proc jsem zminil ten Canonical Advantage support je jednoduchy. Bezny Brouk Pytlik bude vice nez stastny, dokud tvoje predevsim PHP5.6 repo pojede. Jenze jsou i situace, kdy jista individua a spolecnosti, pod vlivem GDPR a paranoie, kterou prodavaji za "security", povazuji komunitni repositare za neduveryhodne a trvaji na tech z Ubuntu main. V tomto pripade U14.04 s PHP5, ktere je oboji EOL, lze dokoupit rozsirenou oficialni Canonical podporu na system "vcetne" PHP5 popr. zacvakat za Zend server.

Opravdu jsem s takovouto situaci prisel dostikrat do stiku a neverim, ze byla apriori vyjimecna. Logiku za tim nehledam.

Re:Upgrade verze PHP (CGI/FPM)
« Odpověď #19 kdy: 29. 08. 2019, 23:24:07 »
Občas přijde nějaká otázka na SLA, ale právě to, že to dělám na volné noze, mi dává dost volnosti. Pokud bych měl podporovat staré verze všeho, tak to bude za takové peníze, které doufám nikdo nikdy nebude ochotný zaplatit ;), abych to nemusel dělat...

Já s Ubuntu Advantage nemám žádný problém, je to služba a chápu, že jsou lidé, pro které je z nějakého důvodu důležité nic neměnit, i když je to tak trochu “podvod”...

reklama


 

reklama